<?php
/*
 * -- Information for translators | READ BEFORE TRANSLATING ANYTHING ---
 * In this file, only translate messages to the right, in this fashion:
 * 'something' => 'translate-me'
 * Also, don't translate, change, or move placeholders (:this-is-a-placeholder) starting with a colon.
 * Try to keep the message as close to the original in meaning as possible. These simple rules also apply to other files you're translating, such as:
 * auth.php, pagination.php, passwords.php, and validation.php.
 * It is VERY important that you "escape" single quotes with a backslash if they're present in your language, like this: I\'m an escaped quote
 *
 * Additionally, don't change anything in square or curly brackets, and don't remove pipe (|) characters.
 * If you see two messages separated by pipe, then usually the left side is singular and the right side is plural, so translate accordingly.
 *
 * Thank you for translating!
 */

return [

    // ============== REUSABLE STRINGS =======================

    'reusable' => [
        'created_at' => 'Created at',
        'updated_at' => 'Updated at',
        'actions' => 'Actions',
        'delete' => 'Delete',
        'status' => 'Status',
        'no_access' => 'Application Access Denied',
        'validation_err' => 'Validation error!',
        'description' => 'Description',
        'join_date' => 'Join Date'
    ],


    // ============== HOMEPAGE MESSAGES ======================

    'home' => 'Home',
    'homepagetxt' => 'Homepage',
    'login' => 'Sign in',
    'logout' => 'Sign out',
    'register' => 'Sign up',
    'dashboard' => 'Dashboard',
    'back' => 'Go back',
    'homepage_welcome' => 'Welcome to our team management center!',
    'homepage_explainer_line1' => 'Here, you can apply for open staff member positions, view your application status, and manage your profile.',
    'homepage_explainer_line2' => 'Sign up with Email to continue.',
    'footer_copy' => 'All rights reserved',
    'global_error' => 'An error occurred',
    'global_success' => 'Success!',
    'txt_learn_more' => 'Learn more',
    'opening_nodetails' => 'There don\'t seem to be any details',
    'opening_nodetails_exp' => 'This opening does not have any details yet.',
    'details_m_title' => 'Opening details',
    'open_positions' => 'Open Positions',
    'last_updated' => 'Last updated',
    'open_position_count' => '{1} There is :count open position!|[2,*] There are :count open positions!',
    'ineligible_days_remaining' => 'Ineligible (:days) day(s) remaining',
    'txt_apply' => 'Apply', // Context: Apply as in applying for a "job", e.g. registering for a job
    'application_closed' => 'Applications Closed',
    'application_closed_intro' => 'Hello there!',
    'application_closed_intro_line2' => <<<EOT
      We are currently not hiring any new staff members at the moment. If you'd like to apply, check out our Discord's
      announcement channel for news when a new position opens.
      Our application cycle usually lasts two weeks, so if you're seeing this, it's because it finished, and new one will begin soon.
EOT,
    'where_work' => 'Where you\'ll work',
    'join_team' => 'Join The Team',
    'join_team_cta' => 'Join the team today and help out network grow and prosper!',
    'contact_cta' => 'Any questions? Leave a message!',
    'contact_disclaimer' => '*This is not an application form. Any applications sent here will be ignored.',
    'contactlabel_name' => 'Name',
    'contactlabel_email' => 'E-mail',
    'contactlabel_subject' => 'Subject (ex. Site Suggestion)',
    'contactlabel_send' => 'Send',



    // ======================== AUTHENTICATION MESSAGES ===========================

    '2fa_txt' => 'Two-Factor Authentication',
    '2fa_sronly' => 'Two-factor secret code (You can find this on Google Authenticator)',
    '2fa_lostcode' => 'Don\'t know the code?',
    '2fa_cancel_login' => 'Cancel login (logout)',

    'terms' => 'Terms of Use',
    'ppolicy' => 'Privacy Policy',

    'signin_cta' => 'Sign into your account',
    'password' => 'Password',
    'remember_me' => 'Remember me',
    'forgot_pw' => 'Forgot password?',
    'register_cta' => 'Register here',
    'no_acc' => 'Don\'t have an account?',
    'register_acc' => 'Register a new account',
    'pwsec' => [
        'line1' => 'Basic password security',
        'line2' => 'For your security, we implement strict password policies. It\'s also advisable to let your password manager or browser generate and save passwords for you (if it\'s a private device).',
        'line3' => 'Passwords must be a combination of: ',
        'line4' => 'A minimum of 10 characters;',
        'line5' => 'At least 3 uppercase characters;',
        'line6' => 'At least 3 numbers;',
        'line7' => 'Any number of special characters.'
    ],
    'sronly_confirmpassword' => 'Confirm Password', // hint: sronly stands for screen-reader only
    'sronly_mcusername' => 'Minecraft Username (Premium)',
    'have_account' => 'Have an account with us?',
    'login_here' => 'Login here',
    'register_txt' => 'Register',

    // ===================== DASHBOARD & COMPONENT MESSAGES ===========================

    'modal_close' => 'Close',
    'component_nopermission' => 'We\'re sorry, but you do not have permission to access this web page.',
    'component_accessdenied' => 'Access Denied',
    'component_contact' => 'Please contact your administrator if you believe this was in error.',
    'welcome_back' => 'Welcome back,',
    'eligible' => 'Eligible',
    'ineligible' => 'Ineligible',
    'eligibility_status' => 'Your current application eligibility status: :badgeStatus',
    'ongoing_apps' => 'Ongoing apps',
    'denied_apps' => 'Denied apps',
    'users_staff' => 'Total Users + Staff',
    'new_apps' => 'New applications',
    'v_backlog' => 'Vote backlog',
    'ranks' => 'Available ranks',
    'open' => 'Open',
    'closed' => 'Closed',
    'upcoming' => 'Your upcoming interviews',
    'soon' => 'Coming soon',


    //=================== ADMINISTRATION MESSAGES (for all administration pages) ===============

    'adm' => 'Administration',
    'devtools' => 'Developer Tools',
    'devoptions' => 'Developer Options',
    'forceeval' => 'Please choose an application to force re-evaluation',
    'appid' => 'Application ID',
    'no_valid_app' => 'There are no valid applications',
    'choose_app' => 'Choose an application',
    'dispatch_event' => 'Dispatch event now',
    'devtools_warn' => 'Do not use these options if you don\'t know what you\'re doing, even if you have access to this page.',
    'warn' => 'Warning',
    'override_votes' => 'Override Vote Evaluation',
    'artisan_evaluate' => 'Artisan: Evaluate Votes Now', // Tip: Artisan is a program name, therefore not translatable
    'devtools_info' => 'This panel may be also used to completely override the vote system in stalemate scenarios',


    'forms' => 'Forms',
    'positions' => 'Positions', // Context: Positions as in job opening
    'edit_form' => 'Edit Form',
    'edt' => 'Editor',
    'edit' => 'Edit',
    'edt_action' => 'Editing',
    'txtbox' => 'Textbox',
    'multiline' => 'Multi line answer',
    'checkbox' => 'Checkbox',
    'field_type' => 'Choose a field type',
    'save_exit' => 'Save & Quit',
    'new_field' => 'New field',
    'vacancy_edit' => 'Vacancy Editor',
    'new_vacancy' => 'New Vacancy',
    'form_consistency' => 'For consistency purposes, grayed out fields can\'t be edited.',

    'vacancy' => [
        'add' => 'Add vacancy',
        'name' => 'Vacancy Name',
        'description' => 'Vacancy Description',
        'details' => 'Vacancy Details',
        'markdown' => 'Markdown Supported',
        'no_details' => 'No details yet... Add some!',
        'permission_group' => 'Permission Group',
        'permission_group_tooltip' => 'The permission group from your server/network\'s permissions manager. Compatible with Luckperms and PEX.',
        'discord_roleid' => 'Discord Role ID',
        'discord_roleid_tooltip' => 'Discord Desktop: Go to your Account Settings > Appearance -> Advanced and toggle Developer Mode. On your server\'s roles tab, right click any role to copy it\'s ID.',
        'current_form' => 'Current Form (uneditable)',
        'remaining_slots' => 'Remaining slots',
        'free_slots' => 'Free slots',
        'free_slots_tooltip' => 'How many submissions before the vacancy stops accepting new applicants?',
        'save' => 'Save Changes',
        'cancel' => 'Cancel',
        'close_vacancy' => 'Close Position',
        'description_tooltip' => 'Add things like admission requirements, rank resposibilities and roles, and anything else you feel is necessary',
        ''

    ],

    'form' => 'Form',

    'form_builder' => [
        'builder' => 'Form Builder',
        'builder_name' => 'Application Form Management Tool',
        'name_form' => 'Name your form...',
        'save_form' => 'Save Form',
    ],

    'form_preview' => [
        'preview' => 'Preview',
        'title' => 'Application Form Preview',
        'looks' => 'This is how your form looks like to applicants',
        'f_info' => 'You may edit it and add more fields later.',
        ''
    ],

    'forms_p' => [

        'available_forms' => 'Available forms',
        'form_title' => 'Form title',
        'empty_noforms' => 'Nothing to see here! Please add some forms first.',
        'new_form' => 'NEW FORM'
    ],

    'players' => [

        'reg_players' => 'Registered players',
        'reg_players_staff' => 'See Registered Players (Applicant Pool)',
        'total_banned' => 'Total Banned Players',
        'search' => 'Search players',
        'f_p_search' => 'Full/partial email search',
        'p_disclaimer' => 'Please note: This list only includes players registered in the team management portal. In a future release, all network players will be shown here.',
        'listing' => 'Player Listing',
        'reg_date' => 'Registration Date',
        'ign' => 'IGN', // Context: Short for In-Game Name
        'banned' => 'Banned',
        'active' => 'Active',
        'no_reg' => 'There are no registered players!',
        'no_reg_exp' => <<<EOT
          Registered players are those without a staff role in the team management application.
          There may be other users registered in the platform, but they won't be displayed here.
EOT,
        'see_staff' => 'See Staff Members'

    ],

    'positions_p' => [

        'application_form' => 'Application Form',
        'select_form' => 'Select a form...',
        'no_form_error' => <<<EOT
           You cannot create a vacancy without any forms with which people would apply.
           create a form first, then, create a vacancy.
           A single form is allowed to have multiple vacancies, so you can attach future vacancies to the same form if you'd like.
EOT,
        'new_pos' => 'NEW POSITION',
        'empty_pos_warning' => 'Nothing to see here! Open some vacancies first. This will get applicants pouring in! (hopefully)',
        'manage_forms' => 'MANAGE APPLICATION FORMS',

    ],

    'settings' => [

        'settings' => 'Settings',
        'settings_header' => 'Notification Settings',
        'settings_p' => 'Change which notifications are sent here.',
        'back_btn' => 'Back to Dashboard'

    ],

    'staff' => [

        'members' => 'Staff Members',
        'active_sm' => 'Active Staff Members',
        'm_listing' => 'Member Listing',
        'f_name' => 'Full Name',
        'rank' => 'Rank',
    ],

    // ======================== APPLICATION RENDERING MESSAGES =========================




];
